Subject: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Michael Albinus <[email-masked]>
Date: Thu, 06 Feb 2025 17:00:13 +0100

Michael Heerdegen <[email-masked]> writes:

Hi Michael,

>> > I think at least in this part where body is inserted the variable BUF
>> > should be uninterned for the obvious reason.  Or at least have a more
>> > obscure name.
>>
>> Yes, I've seen such constructs somewhere else in Emacs' code. I don't
>> understand why a simple (lexical) let-binding of buf isn't
>> sufficient. The problem would exist for any macro. Could you pls show me
>> an example how it could go wrong?
>
> Have you ever read (info "(elisp) Surprising Local Vars") - and the whole
> (info "(elisp) Problems with Macros") chapter?  (If not, you should do...)

I did. But I've never thought about consequences for macro
expansion. Finally, I've decided for "a more obscure name".

> Thx,
> Michael.

Best regards, Michael.